'use strict';

var gulp = require('gulp');
var browserSync = require('browser-sync').create();
var elixir = require('laravel-elixir');
var config = elixir.config;
var Task = elixir.Task;

/**
 * Extend the BrowserSync Gulp task.
 *
 * @param {array|null} options
 */
elixir.extend('browserSync', function(src, options) {

    browserSync.init(options);

    new Task('browser-sync-ijnect-css', function() {
        return gulp.src(src.css).pipe(browserSync.stream());
    })
    .watch(src.css);

    new Task('browser-sync-ijnect-js', function() {
        return browserSync.reload();
    })
    .watch(src.js);

    new Task('browser-sync-reload', function() {
        return browserSync.reload();
    })
    .watch(src.views);

});